## Global installs  

$ npm install -g karma-cli
$ npm install -g typescript typings


## Available Plugins  

cordova-plugin-app-version  
cordova-plugin-battery-status  
cordova-plugin-device  
cordova-plugin-signal-strength  
cordova-plugin-network-information    

$ ionic cordova plugin add {plugin} --save';  


## Database Support  

https://ionicframework.com/docs/storage/  

Add to app.module.ts   
``` 
IonicStorageModule.forRoot({ 
    name: 'atajo.client.database', 
    driverOrder: ['sqlite', 'websql'] 
}) 
``` 

## Code Push Support


`$ cordova plugin add https://github.com/k1dbl4ck/cordova-plugin-atajo-update.git`
Remember to remove the old code push first.

In Ionic2: 

```
platform.ready(() => {

    atajoXConfig.set('domain', {your-domain-name});

    let update = new AtajoXUpdate();
    update.checkForUpdates();

});
```

The following events can be listened through atajoXEvents:

```
      'atajo:update:initialized',
      'atajo:update:filesystem:ready',
      'atajo:update:folder:ready',
      'atajo:update:error',
      'atajo:update:download:success',
      'atajo:update:download:error',
      'atajo:update:download:progress',
      'atajo:update:unzip:success',
      'atajo:update:unzip:error',
      'atajo:update:unzip:progress',
      'atajo:update:file:remove:success',
      'atajo:update:file:remove:error',
      'atajo:update:file:get:error'
```

Example:

```
import {atajoXEvents} from 'atajox-lib';
...
atajoXEvents.subscribe('atajo:update:file:remove:success', (data) => {
    // update installed successfully
});
...
```


## Start tests  

$ karma start
