import { Observable } from "rxjs/Observable";
import { ApiTransactions } from "./api.model";
export declare class AtajoXApi {
    private static transactions;
    private static timeoutCheckInterval;
    constructor();
    /**
     * Add transaction to be processed
     *
     * @param {string} lambda
     * @param {object} request
     * @param opts
     * @returns {Observable<any>}
     */
    addTransaction(lambda: string, request: object, opts?: any): Observable<any>;
    /**
     * Get all transactions
     *
     * @returns {ApiTransactions}
     */
    static getTransactions(): ApiTransactions;
    /**
     * Process transaction response
     *
     * When the transaction comes back from the lambdas, process it.
     *
     * @param rx
     */
    static transactionResponse(rx: any): void;
    /**
     * Process transaction that is not queued
     *
     * @param {string} pid
     */
    static processTransaction(pid: string): void;
    /**
     * Checks timeouts on transactions
     */
    private static checkTimeouts();
    /**
     *  Starts interval check for timeouts
     */
    private static startTimeoutCheck();
    /**
     * Stops interval for timeout check
     */
    private static stopTimeoutCheck();
}
export declare let atajoXApi: AtajoXApi;
