import { ConsulConfig } from "../consul/consul.model";
export interface ConfigStateUpdateDeviceKey {
    dev: string;
    qas: string;
    prd: string;
}
export interface ConfigStateUpdateDevice {
    android: ConfigStateUpdateDeviceKey;
    ios: ConfigStateUpdateDeviceKey;
}
export interface ConfigStateUpdate {
    enabled: boolean;
    updateHash: string;
    updateURI: string;
    silent: boolean;
    key: ConfigStateUpdateDevice;
}
export interface ConfigStateSocketOptionsQuery {
    uuid: string;
    key: string;
    domain: string;
    device: string;
}
export interface ConfigStateSocketOptions {
    reconnection: boolean;
    reconnectionAttempts: number;
    reconnectionDelay: number;
    reconnectionDelayMax: number;
    randomizationFactor: number;
    timeout: number;
    autoConnect: boolean;
    query: ConfigStateSocketOptionsQuery;
}
export interface ConfigStateSocket {
    options: ConfigStateSocketOptions;
    notify: boolean;
}
export interface ConfigStateApi {
    timeout: number;
}
export interface ConfigState {
    api: ConfigStateApi;
    domain: string;
    lambdaGroup: string;
    environment: string;
    consulAPIUrl: string;
    consulMapToken: string;
    consulUpdateToken: string;
    consulClientToken: string;
    consulConfigManuallySet: boolean;
    consulConfig: ConsulConfig;
    update: ConfigStateUpdate;
    socket: ConfigStateSocket;
    [key: string]: any;
}
