import { ConsulConfig } from "./consul.model";
export declare class AtajoXConsul {
    /**
     * Get config from Consul
     *
     * @param {string} domain
     * @returns {Promise<any>}
     */
    getConfig(domain: string): Promise<ConsulConfig>;
    /**
     * Get Client Token
     * for a specific domain
     *
     * @param {string} domain
     * @returns {Promise<string>}
     */
    getClientToken(domain: string): Promise<string>;
    /**
     * Get Client Config
     * for a specific domain
     *
     * @param domain
     * @param token
     * @returns {Promise}
     */
    getClientConfig(domain: string, token: string): Promise<ConsulConfig>;
}
export declare let atajoXConsul: AtajoXConsul;
