'use strict';
import { atajoXConsul } from './consul';
describe('AtajoXConsul', function () {
    var domain = 'atajox';
    it('should create a class', function () {
        expect(atajoXConsul).toBeDefined();
    });
    it('should return a full config with one call', function (done) {
        spyOn(atajoXConsul, 'getClientToken').and.callThrough();
        spyOn(atajoXConsul, 'getClientConfig').and.callThrough();
        atajoXConsul.getConfig(domain).then(function (config) {
            expect(atajoXConsul.getClientToken).toHaveBeenCalledWith(domain);
            expect(atajoXConsul.getClientConfig).toHaveBeenCalledWith(domain, jasmine.any(String));
            done();
        });
    });
    describe('get config', function () {
        var domainToken;
        it('should return a valid string token from domain', function (done) {
            atajoXConsul.getClientToken(domain).then(function (token) {
                expect(typeof token).toBe('string');
                domainToken = token;
                done();
            }, function (err) {
                console.error(err);
                done();
            });
        });
        it('should return a domain config', function (done) {
            atajoXConsul.getClientConfig(domain, domainToken).then(function (config) {
                expect(typeof config.domain).toBe('string');
                expect(typeof config.key).toBe('string');
                expect(typeof config.url).toBe('string');
                expect(typeof config.owner).toBe('string');
                expect(typeof config.support).toBe('string');
                expect(typeof config.logo).toBe('string');
                expect(typeof config.icon).toBe('string');
                expect(typeof config.core).toBe('object');
                done();
            }, function (err) {
                console.error(err);
                done();
            });
        });
    });
});
//# sourceMappingURL=consul.spec.js.map