"use strict";
import { atajoXDatabase } from "./database";
var AtajoXDatabaseMigration = /** @class */ (function () {
    function AtajoXDatabaseMigration() {
    }
    AtajoXDatabaseMigration.prototype.run = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            atajoXDatabase.get("key_value_pair", 'key = "migration_version"').then(function (pair) {
                _this.runUpgrades(parseInt(pair.value)).then(function () {
                    resolve();
                }, function () {
                    reject();
                });
            }, function (err) {
                _this.runUpgrades().then(function () {
                    resolve();
                }, function () {
                    reject();
                });
            });
        });
    };
    AtajoXDatabaseMigration.prototype.runUpgrades = function (version) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var promises = [];
            if (!version) {
                version = 0;
            }
            if (version === 0) {
                promises.push(_this.upgradeToVersion_1());
                version = 1;
            }
            Promise.all(promises).then(function () {
                atajoXDatabase.setOrUpdate("key_value_pair", [
                    {
                        column: "value",
                        value: version
                    }
                ], [
                    {
                        column: "key",
                        op: "=",
                        value: "migration_version"
                    }
                ]).then(function () {
                    resolve();
                }, function () {
                    reject();
                });
            }, function () {
                reject();
            });
        });
    };
    AtajoXDatabaseMigration.prototype.upgradeToVersion_1 = function () {
        var keyValuePairColumns = [
            {
                name: "key",
                type: "TEXT"
            }, {
                name: "value",
                type: "TEXT"
            }
        ];
        return atajoXDatabase.create("key_value_pair", keyValuePairColumns);
    };
    return AtajoXDatabaseMigration;
}());
export { AtajoXDatabaseMigration };
export var atajoXDatabaseMigration = new AtajoXDatabaseMigration();
//# sourceMappingURL=migration.js.map