export declare class AtajoXSQLite {
    private db;
    /**
     * Returns database instance
     *
     * @returns {any}
     */
    getDb(): any;
    /**
     * Initiates database connection
     *
     * @returns {Promise<any>}
     */
    init(): Promise<{}>;
    /**
     * Get data from table
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    get(table: string, where?: string): Promise<{}>;
    /**
     * Create table in database
     *
     * @param {string} table
     * @param {Array<any>} columns
     * @returns {Promise<any>}
     */
    create(table: string, columns: Array<any>): Promise<{}>;
    /**
     * Save data to table
     *
     * @param {string} table
     * @param values
     * @returns {Promise<any>}
     */
    set(table: string, values: any): Promise<{}>;
    /**
     * Update row(s) in table
     *
     * @param {string} table
     * @param values
     * @param where
     * @returns {Promise<any>}
     */
    update(table: string, values: any, where?: any): Promise<{}>;
    /**
     * Returns the row count
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    count(table: string, where?: string): Promise<{}>;
    /**
     * Remove row(s) from table
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    remove(table: string, where?: string): Promise<{}>;
    /**
     * Deletes table from database
     *
     * @param {string} table
     * @returns {Promise<any>}
     */
    nuke(table: string): Promise<{}>;
    /**
     * Adds a column to database
     *
     * @param {string} table
     * @param {any} column
     * @returns {Promise<any>}
     */
    addColumn(table: string, column: any): Promise<{}>;
    /**
     * Adds a index to database
     *
     * @param {string} table
     * @param {any} column
     * @returns {Promise<any>}
     */
    addIndex(table: string, column: string): Promise<{}>;
}
export declare let atajoXSQLite: AtajoXSQLite;
