export declare class AtajoXWebSql {
    db: any;
    /**
     * Initiates instance of database
     *
     * @returns {Promise<any>}
     */
    init(): Promise<{}>;
    /**
     * Returns the row count
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    count(table: string, where?: string): Promise<{}>;
    /**
     * Creates new table in database
     *
     * @param {string} table
     * @param {Array<any>} columns
     * @returns {Promise<any>}
     */
    create(table: string, columns: Array<any>): Promise<{}>;
    /**
     * Get data from table
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    get(table: string, where?: string): Promise<{}>;
    /**
     * Save data to table
     *
     * @param table
     * @param {Array<any>} values
     * @returns {Promise<any>}
     */
    set(table: any, values: Array<any>): Promise<{}>;
    /**
     * Remove row(s) from table
     *
     * @param {string} table
     * @param {string} where
     * @returns {Promise<any>}
     */
    remove(table: string, where?: string): Promise<{}>;
    /**
     * Delete table from database
     *
     * @param {string} table
     * @returns {Promise<any>}
     */
    nuke(table: string): Promise<{}>;
    /**
     * Update row(s) in table
     *
     * @param {string} table
     * @param {Array<any>} values
     * @param {Array<any>} where
     * @returns {Promise<any>}
     */
    update(table: string, values: Array<any>, where?: Array<any>): Promise<{}>;
    /**
     * Adds a column to database
     *
     * @param {string} table
     * @param {any} column
     * @returns {Promise<any>}
     */
    addColumn(table: string, column: any): Promise<{}>;
}
export declare let atajoXWebSql: AtajoXWebSql;
