export declare class AtajoXEvents {
    channels: any;
    /**
     * Subscribe to an event topic. Events that get posted to that topic will trigger the provided handler.
     *
     * @param {string} topic the topic to subscribe to
     * @param {Function} handlers the event handler
     */
    subscribe(topic: string, ...handlers: Function[]): void;
    /**
     * Unsubscribe from the given topic. Your handler will no longer receive events published to this topic.
     *
     * @param {string} topic the topic to unsubscribe from
     * @param {Function} handler the event handler
     * @returns {boolean} true if a handler was removed
     */
    unsubscribe(topic: string, handler?: Function): boolean;
    /**
     * Publish an event to the given topic.
     *
     * @param {string} topic the topic to publish to
     * @param args eventData the data to send as the event
     * @returns {any}
     */
    publish(topic: string, ...args: any[]): any[] | null;
}
export declare let atajoXEvents: AtajoXEvents;
