'use strict';
import { AtajoXEvents, atajoXEvents } from './events';
describe('Events', function () {
    var events;
    var listener;
    beforeEach(function () {
        events = new AtajoXEvents();
    });
    it('should call listener when event is published', function () {
        var eventParams = [{}, {}, {}];
        listener = jasmine.createSpy('listener');
        atajoXEvents.subscribe('test', listener);
        atajoXEvents.publish.apply(atajoXEvents, ['test'].concat(eventParams));
        (_a = expect(listener)).toHaveBeenCalledWith.apply(_a, eventParams);
        var _a;
    });
    it('should unsubscribe listener', function () {
        listener = jasmine.createSpy('listener');
        atajoXEvents.subscribe('test', listener);
        atajoXEvents.unsubscribe('test', listener);
        expect(listener).not.toHaveBeenCalled();
    });
    it('should return an array of responses when event is published', function () {
        var _a = [{}, {}], response = _a[0], anotherResponse = _a[1];
        var listener = jasmine.createSpy('listener').and.returnValue(response);
        var anotherListener = jasmine.createSpy('anotherListener').and.returnValue(anotherResponse);
        atajoXEvents.subscribe('test2', listener, anotherListener);
        var responses = atajoXEvents.publish('test2');
        expect(responses).toEqual([response, anotherResponse]);
    });
});
//# sourceMappingURL=events.spec.js.map