import { QueueTableColumn } from "./queue.model";
import { ApiTransaction } from "../api/api.model";
export declare class AtajoXQueue {
    columns: Array<QueueTableColumn>;
    tableName: string;
    processInterval: any;
    constructor();
    /**
     * Fail all jobs
     */
    failAllJobs(): void;
    /**
     * Start queue processing
     */
    private startProcess();
    /**
     * Stop queue processing
     */
    private stopProcess();
    /**
     * Process queue
     */
    process(): void;
    /**
     * Transaction Response
     *
     * Process transaction when it comes back from lambdas
     *
     * @param rx
     */
    private transactionResponse(rx);
    /**
     * Add transaction to the queue and process
     *
     * @param {String} pid
     * @param {ApiTransaction} transaction
     */
    add(pid: String, transaction: ApiTransaction): void;
    /**
     * List transactions
     *
     * @param {string} status
     * @returns {Promise<any> | Promise<any>}
     */
    list(status?: string): Promise<{}>;
    /**
     * Mark queue as busy
     */
    private queueBusy();
    /**
     * Retry all failed transactions
     */
    retryFailed(): void;
    /**
     * Clear transactions
     */
    clear(): void;
}
export declare let atajoXQueue: AtajoXQueue;
