import { ApiTransaction } from "../api/api.model";
export declare class AtajoXSocket {
    socket: any;
    isDomainConnected: boolean;
    /**
     * Connect to socket network
     *
     * @returns {Promise<void>}
     */
    connect(): Promise<void>;
    /**
     * Disconnect from socket
     */
    disconnect(): void;
    /**
     * Is connected to socket
     *
     * @returns {boolean}
     */
    isConnected(): boolean;
    /**
     * Is domain connected
     *
     * @returns {boolean}
     */
    domainConnected(): boolean;
    /**
     * Emit transaction
     * @param {ApiTransaction} transaction
     */
    transaction(transaction: ApiTransaction): void;
}
export declare let atajoXSocket: AtajoXSocket;
