export declare class AtajoXTime {
    private api;
    retryCounter: number;
    /**
     * Check if device time is valid
     *
     * @returns {Promise<any>}
     */
    isDeviceTimeValid(): Promise<{}>;
    private getTimeFromCore();
    /**
     * Get time from zone
     *
     * @param {string} zone
     * @returns {Promise<any>}
     */
    private getTimeFromZone(zone);
    /**
     * Get time from location
     *
     * @param {number} lat
     * @param {number} lng
     * @returns {Promise<any>}
     */
    private getTimeFromLocation(lat, lng);
    /**
     * Get device timestamp
     *
     * @returns {number}
     */
    getDeviceTimestamp(): number;
}
export declare let atajoXTime: AtajoXTime;
