'use strict';
import { AtajoXUpdate } from './update';
import { atajoXDevice } from '../device/device';
describe('AtajoXUpdate', function () {
    it('should create a class with cordova warning', function () {
        var atajoXUpdate = new AtajoXUpdate();
        spyOn(console, 'warn').and.callFake(function (message) {
            expect(message).toContain('CORDOVA NOT FOUND -> CODE UPDATES NOT AVAILABLE');
        });
        expect(atajoXUpdate).toBeDefined();
    });
    it('should create a class with plugin warning', function () {
        spyOn(atajoXDevice, 'isCordova').and.callFake(function () {
            return true;
        });
        spyOn(console, 'warn').and.callFake(function (message) {
            expect(message).toContain('CODE UPDATE PLUGIN NOT FOUND -> CODE UPDATES NOT AVAILABLE');
        });
        var atajoXUpdate = new AtajoXUpdate();
        expect(atajoXUpdate).toBeDefined();
    });
    it('should create a class with no warnings', function () {
        spyOn(atajoXDevice, 'isCordova').and.callFake(function () {
            return true;
        });
        window.downloader = true;
        spyOn(console, 'warn').and.callFake(function (message) {
            fail('Should not print warnings.');
        });
        var atajoXUpdate = new AtajoXUpdate();
        expect(atajoXUpdate).toBeDefined();
    });
    it('should create a class with no warnings', function () {
        spyOn(atajoXDevice, 'isCordova').and.callFake(function () {
            return true;
        });
        window.downloader = true;
        spyOn(console, 'warn').and.callFake(function (message) {
            fail('Should not print warnings.');
        });
        var atajoXUpdate = new AtajoXUpdate();
        atajoXUpdate.checkForUpdates();
        expect(atajoXUpdate).toBeDefined();
    });
});
//# sourceMappingURL=update.spec.js.map