'use strict';
import { atajoXDatabase } from "../database/database";
var AtajoXUtils = /** @class */ (function () {
    function AtajoXUtils() {
    }
    /**
     * Perfect ATOB alternative (Base64 decoder)
     * @param a
     * @returns {string}
     */
    AtajoXUtils.a2b = function (a) {
        var b, c, d, e = {}, f = 0, g = 0, h = "", i = String.fromCharCode, j = a.length;
        for (b = 0; 64 > b; b++)
            e["ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(b)] = b;
        for (c = 0; j > c; c++)
            for (b = e[a.charAt(c)], f = (f << 6) + b, g += 6; g >= 8;)
                ((d = 255 & f >>> (g -= 8)) || j - 2 > c) && (h += i(d));
        return h;
    };
    /**
     * Generate a unique id
     *
     * @returns {string}
     */
    AtajoXUtils.pid = function () {
        var S4 = function () {
            return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
        };
        return (S4() + S4() + S4() + S4() + S4() + S4() + S4() + S4()) + '';
    };
    /**
     * Get browser uuid
     */
    AtajoXUtils.getBrowserUuid = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            atajoXDatabase.get('key_value_pair', 'key = "browserId"').then(function (pair) {
                if (pair.length === 0) {
                    _this.createAndSaveUuid().then(function (uuid) {
                        resolve(uuid);
                    });
                }
                else {
                    resolve(pair[0].value);
                }
            }, function () {
                _this.createAndSaveUuid().then(function (uuid) {
                    resolve(uuid);
                });
            });
        });
    };
    AtajoXUtils.createAndSaveUuid = function () {
        return new Promise(function (resolve, reject) {
            var uuid = AtajoXUtils.pid();
            atajoXDatabase.setOrUpdate("key_value_pair", [{ column: "value", value: uuid }], [{ column: "key", op: "=", value: "browserId" }]).then(function () {
                resolve(uuid);
            }, function () {
                reject();
            });
        });
    };
    /**
     * Gets browser details
     *
     * @returns {BrowserFingerprint}
     */
    AtajoXUtils.getBrowserFingerprint = function () {
        var nAgt = navigator.userAgent;
        var browserName = navigator.appName;
        var fullVersion = '' + parseFloat(navigator.appVersion);
        var majorVersion, nameOffset, verOffset, ix;
        // In Opera, the true version is after "Opera" or after "Version"
        if ((verOffset = nAgt.indexOf("Opera")) != -1) {
            browserName = "Opera";
            fullVersion = nAgt.substring(verOffset + 6);
            if ((verOffset = nAgt.indexOf("Version")) != -1)
                fullVersion = nAgt.substring(verOffset + 8);
        }
        else if ((verOffset = nAgt.indexOf("MSIE")) != -1) {
            browserName = "Microsoft Internet Explorer";
            fullVersion = nAgt.substring(verOffset + 5);
        }
        else if ((verOffset = nAgt.indexOf("Chrome")) != -1) {
            browserName = "Chrome";
            fullVersion = nAgt.substring(verOffset + 7);
        }
        else if ((verOffset = nAgt.indexOf("Safari")) != -1) {
            browserName = "Safari";
            fullVersion = nAgt.substring(verOffset + 7);
            if ((verOffset = nAgt.indexOf("Version")) != -1)
                fullVersion = nAgt.substring(verOffset + 8);
        }
        else if ((verOffset = nAgt.indexOf("Firefox")) != -1) {
            browserName = "Firefox";
            fullVersion = nAgt.substring(verOffset + 8);
        }
        else if ((nameOffset = nAgt.lastIndexOf(' ') + 1) <
            (verOffset = nAgt.lastIndexOf('/'))) {
            browserName = nAgt.substring(nameOffset, verOffset);
            fullVersion = nAgt.substring(verOffset + 1);
            if (browserName.toLowerCase() == browserName.toUpperCase()) {
                browserName = navigator.appName;
            }
        }
        // trim the fullVersion string at semicolon/space if present
        if ((ix = fullVersion.indexOf(";")) != -1)
            fullVersion = fullVersion.substring(0, ix);
        if ((ix = fullVersion.indexOf(" ")) != -1)
            fullVersion = fullVersion.substring(0, ix);
        majorVersion = parseInt('' + fullVersion, 10);
        if (isNaN(majorVersion)) {
            fullVersion = '' + parseFloat(navigator.appVersion);
            majorVersion = parseInt(navigator.appVersion, 10);
        }
        return {
            name: browserName,
            fullVersion: fullVersion,
            majorVersion: majorVersion,
            appName: navigator.appName,
            userAgent: navigator.userAgent
        };
    };
    return AtajoXUtils;
}());
export { AtajoXUtils };
//# sourceMappingURL=utils.js.map