'use strict';
import { AtajoXUtils } from './utils';
describe('Utils', function () {
    it('should create a class', function () {
        var utils = new AtajoXUtils();
        expect(utils).toBeDefined();
    });
    describe('ATOB Base64 Decoder', function () {
        it('should return valid string from base64 encoded string', function () {
            expect(AtajoXUtils.a2b('dGVzdA==')).toBe('test');
        });
    });
    describe('PID - Unique ID', function () {
        it('should generate a random unique id', function () {
            var pid1 = AtajoXUtils.pid();
            var pid2 = AtajoXUtils.pid();
            expect(typeof pid1).toEqual('string');
            expect(typeof pid2).toEqual('string');
            expect(pid1).not.toEqual(pid2);
        });
    });
    describe('Browser fingerprint', function () {
        it('should return browser details', function () {
            var fingerprint = AtajoXUtils.getBrowserFingerprint();
            expect(typeof fingerprint.name).toEqual('string');
            expect(typeof fingerprint.fullVersion).toEqual('string');
            expect(typeof fingerprint.majorVersion).toEqual('number');
            expect(typeof fingerprint.appName).toEqual('string');
            expect(typeof fingerprint.userAgent).toEqual('string');
        });
    });
});
//# sourceMappingURL=utils.spec.js.map