'use strict';
import { AtajoXUtils } from "../utils/utils";
import { AtajoXDevice } from "../device/device";
var AtajoXPayload = /** @class */ (function () {
    function AtajoXPayload() {
    }
    /**
     * Get payload
     *
     * @param {object} dataObject
     * @returns {Promise<PayloadModel>}
     */
    AtajoXPayload.prototype.getPayload = function (dataObject) {
        return new Promise(function (resolve, reject) {
            var device = new AtajoXDevice();
            device.getInformation().then(function (deviceInformation) {
                var payload = {
                    "location": {
                        "lat": 0,
                        "lon": 0
                    },
                    "device": deviceInformation,
                    "data": dataObject,
                    "pid": AtajoXUtils.pid()
                };
                resolve(payload);
            }, function () {
                reject();
            });
        });
    };
    return AtajoXPayload;
}());
export { AtajoXPayload };
export var atajoXPayload = new AtajoXPayload();
//# sourceMappingURL=payload.js.map